Mon Feb 11 18:01:49 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _tp_chan_set_channel: correct sense of assertion

Mon Feb 11 17:59:14 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp_chan_new_from_channel: be more defensive about TpChannel properties

Mon Feb 11 17:58:48 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _tp_chan_new: don't assert that the channel type is given

Mon Feb  4 18:06:35 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Clear release flag

Mon Feb  4 17:53:20 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  tagged libtelepathy 0.3.2

Mon Feb  4 17:28:23 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Bump version to 0.3.2 (libtool c:r:a = 9:0:7) and telepathy-glib dep to 0.7.1

Mon Feb  4 17:28:11 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Remove xml/modified directory from version control

Fri Feb  1 15:01:58 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Require telepathy-glib >= 0.7.0.1

Fri Feb  1 14:58:24 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _tp_conn_new: call GetStatus() synchronously if necessary, preserving old semantics

Fri Feb  1 13:49:07 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpConn: implement in terms of TpConnection

Fri Feb  1 13:45:03 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Document tp_connmgr_list_cms as being replaced by tp_list_connection_managers

Fri Feb  1 11:28:31 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpChan: refactor interface-adding to avoid unnecessary D-Bus calls

Fri Feb  1 11:05:05 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp_chan_local_set_interfaces: minor style fix

Fri Feb  1 11:03:46 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpChan: add tp_chan_dup_channel, tp_chan_new_from_channel

Thu Jan 31 16:39:05 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpChan: add tp_chan_new_from_channel()

Thu Jan 31 16:38:43 GMT 2008  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * src/Makefile.am: avoid confusing vim quickfix (:make)

Wed Nov 28 01:50:04 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * correct the LGPL 2.1 boilerplate (s/Library/Lesser/ and update FSF address)

Fri Dec 14 14:35:34 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add optional compiler and linker optimization control, and code coverage

Fri Dec 14 14:32:46 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add compiler.m4, linker.m4 (from libgfshare via telepathy-glib)

Thu Dec 13 14:33:27 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpChan, TpConn: use G_DEFINE_TYPE

Thu Dec 13 12:00:30 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpConn: rename parent_class to tp_conn_parent_class for compatibility with G_DEFINE_TYPE

Thu Dec 13 11:59:50 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * TpChan: rename parent_class to tp_chan_parent_class for compatibility with G_DEFINE_TYPE

Tue Dec  4 14:27:47 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Link dummy executables in check-compat against telepathy-glib etc. (actually dbus-glib is all that's needed) - fixes compilation without optimizations, fd.o #13484

Thu Nov 22 20:04:20 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Development version 0.3.1.1

Thu Nov 22 19:59:26 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  tagged libtelepathy 0.3.1

Thu Nov 22 19:46:40 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Correct .pc file

Thu Nov 22 19:18:05 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Fix check-compat for out of tree builds

Thu Nov 22 19:09:09 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use $(srcdir) for whitelist.txt, deprecated.txt

Thu Nov 22 19:05:58 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Version 0.3.1 (libtool c:r:a = 8:0:6)

Thu Nov 22 19:05:04 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Turn off -Werror in everything_CFLAGS now I know it works

Thu Nov 22 19:04:09 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate a header containing all of libtelepathy's public API and check that it can be included in a file that also includes all of telepathy-glib's public API

Thu Nov 22 18:59:10 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use the spec's copy of Channel_Handler, not ours

Thu Nov 22 18:48:02 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Split "whitelisted" (= tp-glib) constants away from deprecated ones.
  Use <telepathy-glib/enums.h> to get enums.
  Don't bother generating interfaces and enums that already exist in tp-glib at all.

Thu Nov 22 18:44:03 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Update spec to 0.17.0

Thu Nov 22 18:37:05 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Re-order configure.ac so we set $PKG_CONFIG before trying to use it

Thu Nov 22 18:35:40 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Sync c-constants-generator, c-interfaces-generator from telepathy-glib 0.7.0

Thu Nov 22 18:33:08 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Instead of using our own copy of the whitelisted interface declarations/macros, use tp-glib's

Thu Nov 22 18:30:57 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Require telepathy-glib 0.7.0, and use *its* version of tp_get_bus(), tp_get_bus_proxy() and the stable tp_iface_quark_* functions

Thu Nov 22 18:30:52 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Do all checking for libraries at once

Thu Nov 22 13:41:24 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Link against telepathy-glib 0.6.x (only!); remove our version of tp_get_bus(|_proxy) in favour of using telepathy-glib's

Thu Nov 22 13:27:48 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Make src/ before src/check-compat/

Thu Nov 22 13:12:35 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Move check-backwards-compat to new directory src/check-compat/ and add tests that all headers are individually includable *without* LIBTELEPATHY_DISABLE_DEPRECATED (we know they're includable *with* that symbol, because of src/*.c)

Thu Nov 22 12:22:10 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Separate generation of tp-glib-like interface (quark) stuff from generation of libtp aliases

Thu Nov 22 12:16:21 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Split interface quark code into deprecated and whitelisted interfaces

Thu Nov 22 12:12:10 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add machinery for splitting interfaces into supported and deprecated. Compile all code from the combined list for now

Thu Nov 22 11:59:59 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate LIBTELEPATHY_DISABLE_DEPRECATED guards around the old interface quark names

Thu Nov 22 11:58:07 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Change some header guards to LIBTELEPATHY_* to avoid possible conflicts with telepathy-glib

Mon Nov 19 10:40:15 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Avoid use of some deprecated #defines in libtelepathy itself

Mon Nov 19 10:39:52 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Compile everything except check-backwards-compat.c with -DLIBTELEPATHY_DISABLE_DEPRECATED

Mon Nov 19 10:39:18 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Fix some of the backwards-compat glue (bugs.fd.o #13282)

Mon Nov 19 10:38:43 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add a simple check for some of the backwards-compat glue (bugs.fd.o #13282)

Tue Nov 13 16:19:02 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Unset release flag

Tue Nov 13 16:07:53 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  tagged libtelepathy 0.3.0

Tue Nov 13 16:07:20 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * version 0.3.0 (libtool c:r:a = 7:0:5)

Mon Nov 12 15:42:32 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add tp_connmgr_new_connection_without_connect - same reasoning as tp_conn_new_without_connect

Mon Nov 12 15:42:07 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Deprecate various unwanted API

Mon Nov 12 14:44:54 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Sync codegen tools from telepathy-glib

Mon Oct  8 18:04:23 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Fix indentation in tp-conn.c

Mon Oct  8 16:30:05 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * libtp-add-signal-gen.py: generate less redundancy

Mon Oct  8 15:59:29 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * src/tp-chan.c: indentation

Mon Oct  8 12:01:23 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Fix some uses of deprecated constant names

Mon Oct  8 12:00:33 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Only generate #defines in libtp-constants-generator, and use the normal c-constants-generator to generate the "official" naming

Mon Oct  8 11:47:12 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Make the official names for libtelepathy connection constants match the tp-glib ones; generate #defines to remap them

Mon Oct  8 11:35:49 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Make the official name of the libtelepathy enums TpFoo, with TelepathyFoo as a #define (for alignment with telepathy-glib)

Mon Oct  8 11:21:17 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Comment functions that already exist in telepathy-glib

Mon Oct  8 11:03:37 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate signals marshaller implementations in _gen/

Mon Oct  8 11:00:23 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _boring: no longer ignore *-signals-marshal.c, they should be generated in _gen/ anyway

Mon Oct  8 10:55:06 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn-ifaces-signal-setters.[ch]: Telepathy coding style

Mon Oct  8 10:54:42 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-*-ifaces-signal-setters.[ch]: fix copyright headers

Mon Oct  8 10:51:52 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-chan-ifaces-signal-setters.c: Telepathy coding style

Mon Oct  8 10:51:37 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * src/Makefile.am: simplify; check coding style of all hanrwritten C sources

Mon Oct  8 10:39:51 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add coding style check tools (from telepathy-glib)

Mon Oct  8 10:35:10 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-props-iface.h: Telepathy coding style

Mon Oct  8 10:34:39 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-props-iface.c: fix copyright header

Mon Oct  8 10:34:29 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers.h: prune trailing whitespace

Mon Oct  8 10:34:17 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers.c: more whitespace

Mon Oct  8 10:33:56 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr.h: Telepathy coding style

Mon Oct  8 10:33:44 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr.h: fix copyright header

Mon Oct  8 10:33:21 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn.h: Telepathy coding style

Mon Oct  8 10:32:56 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn.h: fix copyright header

Mon Oct  8 10:32:38 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn.c: tweak comment to fix coding-style-check falsepositive

Mon Oct  8 10:32:03 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-chan.h: Telepathy coding style

Mon Oct  8 10:31:51 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-chan.h: fix copyright header

Mon Oct  8 10:18:49 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _boring: ignore tp-get-connmgr-info executable

Mon Oct  8 10:12:49 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Merge with HEAD: revert Guillaume's addition of NewTube marshaller

Sat Oct  6 22:19:53 BST 2007  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
  * register marshallers for Tubes/NewTube and Tubes/DBusNamesChanged

Fri Oct  5 18:14:20 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-props-iface: style

Fri Oct  5 18:07:14 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-props-iface: use shared marshaller-registration, get rid of useless dispose(), fix style of class_init

Fri Oct  5 18:05:56 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-props-iface: fix style, hoist static functions

Fri Oct  5 18:05:28 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers.h: use the auto-generated constants

Fri Oct  5 18:02:09 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers.h: style

Fri Oct  5 18:01:01 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers.h: style

Fri Oct  5 18:00:45 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-constants.h: fix whitespace

Fri Oct  5 17:48:15 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Indentation

Fri Oct  5 17:47:58 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Indentation

Fri Oct  5 17:47:34 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Indentation

Fri Oct  5 17:46:44 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Whitespace/style

Fri Oct  5 17:45:52 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Whitespace/style

Fri Oct  5 17:44:12 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Whitespace/style

Fri Oct  5 17:42:11 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: fix parsing of default-foo in .manager files

Fri Oct  5 17:38:17 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: whitespace

Fri Oct  5 17:34:30 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: whitespace

Fri Oct  5 17:32:14 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: stylistic fixes to tp_connmgr_info_free

Fri Oct  5 17:31:16 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: Remove useless forward declaration of _scan_dir

Fri Oct  5 17:30:48 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Hoist, reformat _prot_param_free in tp-helpers.c

Fri Oct  5 17:29:36 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: hoist _list_builder, reformat

Fri Oct  5 17:28:00 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: stylistic fixes

Fri Oct  5 17:14:04 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-helpers: fix copyright

Fri Oct  5 17:10:54 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn: fix copyright header

Fri Oct  5 17:10:03 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn: indentation etc.

Fri Oct  5 16:45:07 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn: indentation etc., remove useless finalize function

Fri Oct  5 16:39:49 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-chan: indentation etc.

Fri Oct  5 16:39:39 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: fix indentation

Fri Oct  5 16:02:47 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: fix up coding style for tp_connmgr_new_connection, comment a probably-unnecessary check

Fri Oct  5 16:02:28 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: fix up coding style for tp_connmgr_new

Fri Oct  5 16:02:10 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: fix up coding style for tp_connmgr_new

Fri Oct  5 15:52:06 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: clean up coding style, remove useless finalize method and useless get/set property handler assignments

Fri Oct  5 15:48:31 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: fix up copyright header

Fri Oct  5 15:42:21 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-connmgr: clean up includes

Fri Oct  5 15:42:10 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-conn: clean up includes

Fri Oct  5 15:41:59 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * tp-chan: clean up #includes

Fri Oct  5 15:40:25 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Register all marshallers centrally, when a connmgr, conn or chan is first created

Fri Oct  5 15:18:50 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add whitelist of interfaces for which code-gen should be done (everything except Contact_Search)

Thu Oct  4 18:54:09 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Only generate stuff for whitelisted interfaces

Thu Oct  4 18:52:43 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Comment libtp-marshaller-gen.py better

Fri Sep 28 12:53:55 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * unset release flag

Fri Sep 28 10:42:37 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.2.0

Fri Sep 28 10:41:24 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * set release flag

Fri Sep 28 10:39:51 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * version 0.2.0

Fri Sep 28 09:27:33 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add tp-connmgr-get-info

Fri Sep 28 09:16:42 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * plug memory leak in tp_connmgr_get_info

Fri Sep 28 00:32:40 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * apply patch by Christian Persch to make "make clean" work in clean checkout (freedesktop.org bug #12545)

Thu Oct  4 17:00:54 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Auto-generate the code that registers D-Bus signals marshallers.
  While reviewing the changes, remove the following broken call:
  dbus_g_object_register_marshaller(
      tp_ifaces_signals_marshal_VOID__UINT_STRING_STRING, G_TYPE_NONE,
      G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_INVALID);

Thu Oct  4 17:00:02 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Re-order tools/Makefile.am

Thu Oct  4 15:40:14 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Output better C in libtp-add-signal-gen.py

Thu Oct  4 15:40:00 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * _gen/add-signals.h: add proper dependencies

Thu Oct  4 15:34:55 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use auto-generated signal adding for properties interface, connection, connection manager and channel

Thu Oct  4 15:25:58 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Make ADD_SIGNALS_FOR_foo a function-like macro to avoid hard-coding argument name

Thu Oct  4 15:23:39 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Auto-generate function bodies in tp-*-ifaces-signal-setters.c

Thu Oct  4 15:16:20 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Build _gen/add-signals.h

Thu Oct  4 15:16:12 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * configure.ac: require Python

Thu Oct  4 15:13:44 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add libtp-add-signal-gen.py

Thu Oct  4 15:13:10 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate a complete spec (i.e. follow all the XIncludes) in _gen

Thu Oct  4 15:10:28 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Move _gen-interfaces-body.h to new _gen subdirectory

Thu Oct  4 13:41:24 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use the auto-generated interface quarks for Properties

Thu Oct  4 13:35:25 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use autogenerated interface name stuff in tp-chan too

Thu Oct  4 13:04:28 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Deprecate the tp_get_conn_*_interface functions

Thu Oct  4 13:01:50 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Sync spec-to-introspect.xsl from telepathy-spec (comment-only changes)

Thu Oct  4 13:01:36 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Sync tools from telepathy-glib (comment-only changes)

Wed Oct  3 15:01:21 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Replace another obsolete function with a call to the autogenerated version

Wed Oct  3 15:00:53 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Refactoring: fold _tp_conn_register_interface_signal_marshallers into _tp_conn_register_signal_marshallers

Wed Oct  3 14:36:50 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use GLib interface name/quark generating machinery from tp-glib; implement the old libtelepathy names as aliases for the tp-glib names

Thu Sep 27 16:27:43 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Update to stable spec version 0.16.0

Wed Sep 26 09:03:49 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * unset release flag

Wed Sep 26 08:57:34 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.58

Wed Sep 26 08:57:29 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.58

Wed Sep 26 08:39:51 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * tweak indentation in tp_conn_new_channel

Wed Sep 26 08:34:38 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * whitespace tweak in tp_chan_local_set_interfaces

Tue Sep 25 15:15:59 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * make _tp_warn_failure robust against NULL errors

Tue Sep 25 15:15:46 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * remove unused tp_conn_get_proxy function from header file

Tue Sep 25 15:15:27 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add g_return_if_fail guards to tp_conn_get_interface

Tue Sep 25 15:15:04 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add g_return_if_fail guards to tp_conn_local_set_interfaces

Tue Sep 25 15:14:13 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * make tp_conn_new_channel robust against NULL errors

Tue Sep 25 15:13:38 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * reindent tp_conn_new_channel

Tue Sep 25 15:09:35 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * reindent tp_conn_new

Tue Sep 25 15:08:56 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * make tp_conn_new robust against error not being set by tp_conn_new_without_connect

Tue Sep 25 15:08:39 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add g_return_val_if_fail guards to tp_conn_new

Tue Sep 25 15:06:50 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * correctly propagate GErrors in tp_conn_new_without_connect

Tue Sep 25 15:06:30 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * reindent tp_chan_new

Tue Sep 25 15:03:25 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add g_return_val_if_fail guards to tp_chan_get_interface

Tue Sep 25 15:02:55 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add g_return_if_fail guards to tp_chan_local_set_interfaces

Tue Sep 25 15:01:51 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * make dbus calls in tp-chan.c robust against dbus_g_proxy_call returning a NULL error

Fri Sep  7 11:49:53 BST 2007  Sjoerd Simons <sjoerd@luon.net>
  * unset release flag

Fri Sep  7 11:42:42 BST 2007  Sjoerd Simons <sjoerd@luon.net>
  tagged libtelepathy 0.0.57

Fri Sep  7 11:42:16 BST 2007  Sjoerd Simons <sjoerd@luon.net>
  * version 0.0.57

Fri Sep  7 09:14:08 BST 2007  Sjoerd Simons <sjoerd@luon.net>
  * Actually implement tp_get_chan_tubes_interface

Thu Sep  6 18:45:31 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * unset release flag

Thu Sep  6 18:43:00 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.0.56

Thu Sep  6 18:41:14 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * version 0.0.56

Thu Sep  6 18:38:30 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * bump library version to 6:0:4

Thu Sep  6 14:31:45 BST 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * Fixed indentation in src/Makefile.am

Mon Sep  3 18:19:25 BST 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * Added support for Channel.Type.Text

Tue Aug 28 13:42:42 BST 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * Actually syncing with 0.15.5, and not 0.15.5.1 snapshot

Tue Aug 28 13:18:25 BST 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * updated to spec version 0.15.5.1

Mon Aug 27 23:00:40 BST 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * Connection.Interface.Avatars: added new method GetKnownAvatarTokens() and deprecated GetAvatarTokens()

Sat Aug 11 19:51:16 BST 2007  Xavier Claessens <xclaesse@gmail.com>
  * Fix warnings when updating properties flags

Thu Jul 26 01:34:46 BST 2007  Sjoerd Simons <sjoerd@luon.net>
  * Fix the signature of the GotRooms signal

Thu Jul 19 17:24:24 BST 2007  xclaesse@gmail.com
  * fix crash in roomlist interface

Thu Jul  5 17:24:16 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * fix type in registration of AvatarRetrieved signal

Mon Jul  2 15:28:17 BST 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * register AvatarRetrieved signal
  Thanks J[_\c3_][_\b6_]rgen Scheibengruber.

Thu May 31 14:55:11 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * unset release flag

Thu May 31 14:48:05 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.55

Thu May 31 14:47:51 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.55

Thu May 31 14:47:01 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * update spec to 0.15.4

Thu May  3 15:57:50 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Unset libtelepathy_release

Thu May  3 15:32:56 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  tagged libtelepathy 0.0.54

Thu May  3 15:27:10 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Increment version to 0.0.54 and libtool to 4:0:2

Thu May  3 15:25:19 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add a simple autogen.sh

Mon Apr 30 16:31:42 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Update spec to version 0.15.3

Mon Apr 30 16:28:41 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Allow @status out parameter to tp_conn_new_without_connect() to be NULL

Mon Apr 30 16:28:19 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Correct misleading comment

Mon Apr 23 19:56:14 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add tp_conn_new_without_connect which does what tp_conn_new should have done all along

Fri Apr 13 16:04:36 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * set release to 0

Fri Apr 13 15:46:17 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.53

Fri Apr 13 15:45:51 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.53

Fri Apr 13 15:43:31 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * update spec to 0.15.2

Fri Apr 13 03:19:57 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * set release to 0

Fri Apr 13 03:18:55 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.52

Fri Apr 13 03:17:04 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * remove ReceivedDTMF signal

Fri Apr 13 03:14:20 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * update to spec version 0.15.1

Fri Apr 13 03:14:06 BST 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.52

Tue Mar 27 12:35:35 BST 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * chmod the distributed ChangeLog u+w, not a+w! Also don't ignore errors when doing darcs changes, but only do darcs changes if we're actually in a Darcs tree

Wed Feb 28 12:59:21 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * set _release to 0

Wed Feb 28 12:30:19 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.51

Wed Feb 28 12:27:46 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.51

Tue Feb 27 16:40:00 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Avoid calling dbus_g_error_get_name on errors that aren't a dbus-glib remote exception. Do call it whenever an error *is* a remote exception.

Tue Feb 27 16:18:44 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Change official name of handle type to TelepathyHandleType and add backwards compat defines. Only emit LAST_ symbols if not disabling deprecated API - use NUM_foo instead.

Tue Feb 27 16:18:13 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Only define compatibility glue in header if LIBTELEPATHY_DISABLE_DEPRECATED is not defined

Tue Feb 27 15:38:54 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Use mkdir -p instead of test -d || mkdir

Tue Feb 27 13:13:18 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add some more backwards-compatibility glue.
  * TelepathyConnectionHandleType
  * TP_MEDIA_STREAM_DIRECTION_RECIEVE (sic)

Tue Feb 27 00:55:13 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * actually, make that 0.0.50 with release = 0

Tue Feb 27 00:13:52 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * disable release flag and set version to 0.0.51

Tue Feb 27 00:12:01 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  tagged libtelepathy 0.0.50

Tue Feb 27 00:11:42 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * bump version to 0.0.50

Tue Feb 27 00:00:26 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * define TelepathyCodecMediaType in terms of TelepathyMediaStreamType

Mon Feb 26 10:31:36 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * In add-client-c-symbol, check for omission of the basename parameter

Mon Feb 26 10:26:40 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Remove all "orig" XML apart from the ChannelHandler (which is not in the spec, so we still need a local copy)

Mon Feb 26 10:26:28 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Remove shell scripts no longer used

Mon Feb 26 10:26:08 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * In Darcs, ignore some generated files

Mon Feb 26 10:24:36 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate XML stubs from the spec using XSLT, and tweak them using more XSLT rather than shell/perl/sed

Mon Feb 26 10:23:32 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Instead of using hand-coded constants, #include the generated header then apply some fixup to maintain source compatibility

Mon Feb 26 10:22:59 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Generate headers containing constants and interfaces using xsltproc

Mon Feb 26 10:22:45 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Check for xsltproc in configure.ac

Mon Feb 26 10:22:31 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add spec directory to tarballs

Mon Feb 26 10:20:40 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add tools directory containing some XSLT used to produce headers and XML from the spec

Sun Feb 25 14:18:15 GMT 2007  Simon McVittie <simon.mcvittie@collabora.co.uk>
  * Add specification snapshot (the 0.15.0 release)

Fri Feb 23 18:22:04 GMT 2007  Robert McQueen <robert.mcqueen@collabora.co.uk>
  * add missing tp_props_iface_property_flags implementation

Tue Feb 20 17:52:27 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * set _release to 0

Tue Feb 20 17:49:56 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.0.42

Tue Feb 20 17:48:16 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * comment out useless debug message

Wed Feb 14 10:58:28 GMT 2007  guillaume.desmottes@collabora.co.uk
  * Channel.Interface.ChatState: use the right Quark

Tue Feb 13 11:45:43 GMT 2007  guillaume.desmottes@collabora.co.uk
  * add TelepathyChannelChatState definition

Mon Feb 12 17:36:36 GMT 2007  guillaume.desmottes@collabora.co.uk
  * implement the ChatState spec

Mon Feb 12 14:03:09 GMT 2007  Senko Rasic <senko.rasic@collabora.co.uk>
  * Connection.Interface.Avatars: added the ClearAvatar method

Wed Feb  7 23:27:26 GMT 2007  Sjoerd Simons <sjoerd@luon.net>
  * Add GetLocalPendingMembersWithInfo declaration

Wed Jan 24 00:24:27 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * version 0.0.42

Tue Jan 23 19:59:39 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * copy error flag logic from Gabble

Tue Jan 23 19:58:44 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * fix boring patterns for makefiles

Tue Jan 23 19:40:44 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * tidy up src/Makefile.am comments/formatting

Tue Jan 23 19:38:28 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove unnecessary disthook

Tue Jan 23 19:12:50 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * refactor XML modification so that make can track dependencies

Tue Jan 23 19:10:57 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * don't distribute generated header files

Tue Jan 23 15:52:19 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * fix signed/unsigned comparisons in properties interface

Tue Jan 23 15:50:38 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove generate XML files on clean, not distclean

Fri Jan 12 16:34:33 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add patterns to _boring

Wed Jan 17 10:31:50 GMT 2007  Sjoerd Simons <sjoerd@luon.net>
  * Only get the interfaces when the connection is connected for the first time

Fri Jan 12 16:27:23 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * fix memory leak in tp_conn_new

Fri Jan 12 16:26:08 GMT 2007  Xavier Claessens <xclaesse@gmail.com>
  * fix channel interface proxy leak

Fri Jan 12 15:57:45 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * make tp_connmgr_get_info's gchar * arg const

Fri Jan 12 15:40:35 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * configure.ac: fix date suffix to be expanded by m4 instead of by shell

Fri Jan 12 15:39:30 GMT 2007  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * ignore failure to execute "darcs changes"

Thu Dec 28 14:50:16 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * configure.ac: set _release to 0

Thu Dec 28 14:50:00 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.0.41

Thu Dec 28 14:48:32 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add empty ChangeLog file

Thu Dec 28 14:27:26 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * release 0.0.41

Thu Dec 28 14:25:45 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * chmod ChangeLog in distdir before overwriting

Fri Dec 15 17:36:23 GMT 2006  Xavier Claessens <xclaesse@gmail.com>
  * adapt helpers code to .manager file format changes

Mon Nov 27 18:44:53 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add generated ChangeLog file to distribution

Mon Nov 27 18:44:42 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * move ChangeLog -> ChangeLog.old

Mon Nov 27 16:31:48 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * configure.ac: set release to 0

Mon Nov 27 16:17:04 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.0.40

Mon Nov 27 16:04:22 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove #defines for synthesized signal names

Mon Nov 27 16:02:54 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * don't synthesize bogus Closed signal when channel proxy is disposed

Mon Nov 27 14:15:43 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * version 0.0.40

Mon Nov  6 01:34:14 GMT 2006  raphael@slinckx.net
  * Add support for handle_type_group constant for server-side group API

Mon Nov  6 01:30:46 GMT 2006  raphael@slinckx.net
  * Add avatar interface to libtelepathy

Mon Nov 27 14:07:44 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * don't synthesise bogus StatusChanged signal when connection proxy is disposed

Wed Nov  8 18:06:32 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * set release to 0

Wed Nov  8 18:06:18 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  tagged libtelepathy 0.0.39

Wed Nov  8 18:05:54 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * version 0.0.39

Wed Nov  8 17:27:21 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * make fix-xml.sh read interfaces from stdin

Wed Nov  8 17:20:00 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * make autofoo files boring

Wed Nov  8 17:11:59 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove more generated autofoo files

Wed Nov  8 17:08:38 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add GetPresence to Channel.Interface.Presence

Wed Nov  8 17:07:50 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * add StreamError signal to Channel.Type.StreamedMedia

Wed Nov  8 17:02:21 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove generated autofoo files

Wed Nov  1 15:47:27 GMT 2006  Dafydd Harries <dafydd.harries@collabora.co.uk>
  * remove xml/Makefile.in

Tue Oct 31 12:38:03 GMT 2006  Sjoerd Simons <sjoerd2luon.net>
  * Add a dist-hook to remove all generated files before dist

Tue Oct 31 12:15:05 GMT 2006  Sjoerd Simons <sjoerd2luon.net>
  * Ensure the source can still be built after make clean

Thu Oct 12 15:57:43 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.38

Thu Oct 12 15:53:16 BST 2006  dafydd.harries@collabora.co.uk
  * fix indentation of AliasesChanged signal registration

Thu Oct 12 15:52:58 BST 2006  dafydd.harries@collabora.co.uk
  * fix CapabilitiesChanged signal registration

Mon Oct  2 18:43:14 BST 2006  dafydd.harries@collabora.co.uk
  * version 0.0.38

Mon Oct  2 18:38:40 BST 2006  dafydd.harries@collabora.co.uk
  * correct signal arg type for AliasesChanged (thanks Eitan Isaacson)

Tue Sep 26 18:44:05 BST 2006  dafydd.harries@collabora.co.uk
  * remove xml/modified/* on distclean

Tue Sep 26 18:43:49 BST 2006  dafydd.harries@collabora.co.uk
  * rm configure/aclocal.m4

Tue Sep 26 18:42:37 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy.pc is boring

Tue Sep 26 18:28:40 BST 2006  dafydd.harries@collabora.co.uk
  * remove tp-properties-iface.xml

Tue Sep 26 18:27:22 BST 2006  dafydd.harries@collabora.co.uk
  * add .def file

Tue Sep 26 18:26:05 BST 2006  dafydd.harries@collabora.co.uk
  * add _boring file

Tue Sep 26 18:14:12 BST 2006  dafydd.harries@collabora.co.uk
  * put modified xml files in xml/modified

Tue Sep 26 18:09:24 BST 2006  dafydd.harries@collabora.co.uk
  * fix-xml.sh: fix; read interfaces from external file

Tue Sep 26 17:42:31 BST 2006  dafydd.harries@collabora.co.uk
  * remove generated files

Tue Sep 26 17:13:35 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.37

Tue Sep 26 17:13:28 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.37

Tue Sep 26 17:09:03 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.35

Tue Sep 26 17:08:12 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.35

Tue Sep 26 17:06:31 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.33

Tue Sep 26 17:06:17 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.33

Tue Sep 26 17:02:30 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.32

Tue Sep 26 17:02:25 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.32

Tue Sep 26 17:00:52 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.31

Tue Sep 26 17:00:07 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.31

Tue Sep 26 16:55:42 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.20

Tue Sep 26 16:55:37 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.20

Tue Sep 26 16:54:05 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.16

Tue Sep 26 16:53:50 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.16

Tue Sep 26 16:46:55 BST 2006  dafydd.harries@collabora.co.uk
  tagged libtelepathy 0.0.9

Tue Sep 26 16:46:24 BST 2006  dafydd.harries@collabora.co.uk
  * libtelepathy 0.0.9
